// master.c

#include <ansi.h>

inherit NPC;

void use_poison();

void create()
{
	set_name("Ť", ({ "master dancer", "master", "dancer" }) );

	set("title", "ߤD");
	set("nickname", "^Pl");
	set("gender", "k");
	set("age", 22);
	set("long",
		"ŤӬO@ӤQX⪺kMou@\\]ODWdM\\h\n"
		"Jl̡MIӻȳoѤULP^ɭˡC\n");
	set("attitude", "peaceful");
	set("class", "dancer");
	set("apprentice_available", 10);

	set("str", 21);
	set("int", 28);
	set("spi", 26);
	set("per", 30);

	set("force", 600);
	set("max_force", 600);
	set("force_factor", 3);

	set("combat_exp", 1000000);
	set("score", 90000);

	set("chat_chance_combat", 60);
	set("chat_msg_combat", ({
		"ŤӹM@M@ਭwۻRF_ӡMﲴeocGbߤWC\n",
		"ŤӸ}BMaFXӰM^@C\n",
		"ŤӥΤߤFߦۤvv¯MOȳQInaC\n",
		"ŤӯHHaB_aW@q" HIM "]@n" NOR "WUäC\n",
		(: use_poison :)
	}) );

	set_skill("unarmed", 40);
	set_skill("sword", 70);
	set_skill("throwing", 100);
	set_skill("force", 30);
	set_skill("parry", 70);
	set_skill("dodge", 100);
	set_skill("literate", 100);
	set_skill("perception", 100);
	set_skill("whip", 100);

	set_skill("stormdance", 100);
	set_skill("tenderzhi", 100);
	set_skill("iceforce", 100);

	map_skill("dodge", "stormdance");
	map_skill("unarmed", "tenderzhi");
	map_skill("force", "iceforce");

	create_family("ߤ", 1, "D");

	set_temp("apply/defense", 100);

	setup();

	carry_object(__DIR__"echowhip")->wield();
	carry_object(__DIR__"snake_sandal")->wear();
	carry_object(__DIR__"gold_belt")->wear();
	carry_object(__DIR__"bloody_dress")->wear();
}

void reset()
{
	delete_temp("learned");
	set("apprentice_available", 10);
}

void attempt_apprentice(object ob)
{
	if( query("apprentice_available") ) {
		if( find_call_out("do_recruit") != -1 )
			command("say CۡM@Ӥ@ӨӡC");
		else
			call_out("do_recruit", 2, ob);
	} else {
		command("say DѤwgFQӧ̤lMQA{FC");
	}
}

void do_recruit(object ob)
{
	if( (string)ob->query("gender") != "k" )
		command("say kHOnFMu}T");
	else {
		command("say ܦnMunA糧D߯կաMnBO֤FC");
		if( (int)ob->query("per") > 25 && (int)ob->query("age") < 20 )
			message_vision("$NǬNaN$nyMDRSOOAo˪k....\n", this_object(), ob);
		command("recruit " + ob->query("id") );
	}
}

int recruit_apprentice(object ob)
{
	if( ::recruit_apprentice(ob) )
		ob->set("class", "dancer");
	add("apprentice_availavble", -1);
}

void use_poison()
{
	object *enemy, ob;
	string msg;

	enemy = query_enemy();
	if( sizeof(enemy) ) ob = enemy[random(sizeof(enemy))];

	if( ob->query_condition("rose_poison") ) return;

	tell_object(ob, "AıoyWGgWFFM@No]SC\n");
	if( random(query("combat_exp")) > (int)ob->query("combat_exp") )
		ob->apply_condition("rose_poison", 20);
}
