// waiter.c

inherit NPC;
inherit F_VENDOR;

void create()
{
	set_name("pG", ({ "waiter" }) );
	set("gender", "k" );
	set("age", 22);
	set("long",
		"o쩱pG}}aۡM٤ɮ_blW٥yC\n");
	set("combat_exp", 5);
	set("attitude", "friendly");
	set("rank_info/respect", "pG");
	set("vendor_goods", ([
		"P": "/obj/example/dagger",
		"s": "/obj/example/wineskin",
		"]l": "/obj/example/dumpling",
		"L": "/obj/example/chicken_leg",
	]) );
	setup();
}

void init()
{	
	object ob;

	::init();
	if( interactive(ob = this_player()) && !is_fighting() ) {
		remove_call_out("greeting");
		call_out("greeting", 1, ob);
	}
	add_action("do_vendor_list", "list");
}

void greeting(object ob)
{
	if( !ob || environment(ob) != environment() ) return;
	switch( random(3) ) {
		case 0:
			say( "pG}}aDRo" + RANK_D->query_respect(ob)
				+ "MiӳܪMMLaC\n");
			break;
		case 1:
			say( "pGβlWy٤F٤MDRo" + RANK_D->query_respect(ob)
				+ "MжiжiC\n");
			break;
		case 2:
			say( "pGDRo" + RANK_D->query_respect(ob)
				+ "MiӳܴXؤpsaMoXѤ~ql̶}ʪC\n");
			break;
	}
}
